콘텐츠로 건너뛰기

Sam 3 · 3D Align

통합

모델 id sam-3/3d-align
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.02 20 API 크레딧 · ≈ ₽2.11 이 페이지에서 실행

API 키 받기
Meta · 3D

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 image_url
파일을 끌어다 놓거나

MoGe를 사용한 깊이 추정에 사용할 원본 이미지 URL입니다.

•필수

.ply 또는 .glb 형식의 SAM-3D Body 파일을 허용하는 정렬용 메시 URL입니다.

고급 body_mask_url · object_mesh_url · focal_length
파일을 끌어다 놓거나

사람 마스크 이미지 URL입니다. 생략하면 전체 이미지를 사용합니다.

결합된 장면을 구성하는 데 사용되는 SAM-3D Object의 선택적 .glb 형식 메시 URL입니다.

SAM-3D Body 메타데이터에서 가져오는 초점 거리 재정의 값입니다. 값이 제공되지 않으면 MoGe 추정값을 사용합니다.

POST /run/sam-3/3d-align?wait=20 견적 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Sam 3 · 3D Align 정보

인체 메시(.ply 또는 .glb)를 원본 사진의 좌표 공간에 배치하며, `image_url`에서 깊이를 추정합니다. 선택 입력으로 인체 마스크, 초점 거리 값, 결합된 장면 파일을 생성하는 객체 메시(.glb)를 사용할 수 있습니다. 출력에는 정렬된 PLY 및 GLB 메시, 정렬 메타데이터와 오버레이 시각화가 포함됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
MoGe를 사용한 깊이 추정에 사용할 원본 이미지 URL입니다.
body_mesh_url필수
유형string
.ply 또는 .glb 형식의 SAM-3D Body 파일을 허용하는 정렬용 메시 URL입니다.
body_mask_url선택 사항
유형url · image
사람 마스크 이미지 URL입니다. 생략하면 전체 이미지를 사용합니다.
object_mesh_url선택 사항
유형string | null
결합된 장면을 구성하는 데 사용되는 SAM-3D Object의 선택적 .glb 형식 메시 URL입니다.
focal_length선택 사항
유형number | null
SAM-3D Body 메타데이터에서 가져오는 초점 거리 재정의 값입니다. 값이 제공되지 않으면 MoGe 추정값을 사용합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-3/3d-align",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "body_mesh_ply": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "visualization": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "metadata": {
      "person_id": 1,
      "scale_factor": 1.0,
      "translation": [
        1.0
      ],
      "focal_length": 1.0,
      "target_points_count": 1,
      "cropped_vertices_count": 1
    },
    "scene_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
body_mesh_ply
object {url, content_type, file_name, file_size}정렬된 신체 메시를 포함하는 PLY 파일입니다.
model_glb
object {url, content_type, file_name, file_size}3D 미리 보기를 위한 정렬된 신체 메시를 포함하는 GLB 파일입니다.
visualization
object {url, content_type, file_name, file_size}정렬된 메시를 겹쳐 표시한 입력 이미지 시각화입니다.
metadata
object {person_id, scale_factor, translation, focal_length, target_points_count, cropped_vertices_count}스케일과 이동을 포함한 정렬 세부 정보입니다.
scene_glb
object {url, content_type, file_name, file_size} | nullobject_mesh_url이 제공된 경우에만 사용할 수 있는 GLB 출력입니다. 하나의 장면에 신체 메시와 객체 메시가 함께 포함됩니다.

더 많은 모델: 3D

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/sam-3/3d-align.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt